> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scores



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/scores
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/scores:
    get:
      summary: List Scores
      operationId: list_scores_v1_scores_get
      parameters:
        - name: model
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Model
        - name: benchmark
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Benchmark
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - name: min_score
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Min Score
        - name: max_score
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Max Score
        - name: scored_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Scored After
        - name: scored_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Scored Before
        - name: verified_only
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Verified Only
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScoresResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScoresResponse:
      properties:
        scores:
          items:
            $ref: '#/components/schemas/ScoreRow'
          type: array
          title: Scores
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        total:
          type: integer
          title: Total
      type: object
      required:
        - scores
        - total
      title: ScoresResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScoreRow:
      properties:
        model_id:
          type: string
          title: Model Id
        model_name:
          type: string
          title: Model Name
        organization:
          type: string
          title: Organization
        benchmark_id:
          type: string
          title: Benchmark Id
        benchmark_name:
          type: string
          title: Benchmark Name
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        score:
          type: number
          title: Score
        normalized_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Normalized Score
        max_score:
          type: number
          title: Max Score
        is_self_reported:
          type: boolean
          title: Is Self Reported
        verified:
          type: boolean
          title: Verified
        scored_at:
          type: string
          format: date-time
          title: Scored At
        source:
          type: string
          title: Source
        url:
          type: string
          title: Url
      type: object
      required:
        - model_id
        - model_name
        - organization
        - benchmark_id
        - benchmark_name
        - score
        - max_score
        - is_self_reported
        - verified
        - scored_at
        - source
        - url
      title: ScoreRow
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````